﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Dtos.System
{
    /// <summary>
    /// 查询岗位
    /// </summary>
    public class QueryJobPostDto : DtoBase
    {
        /// <summary>
        /// 公司Id
        /// </summary>

        public int CompanyId { get; set; }
        /// <summary>
        /// 部门Id
        /// </summary>
        public int DepId { get; set; }
    }
    /// <summary>
    /// 添加岗位dto
    /// </summary>
    public class AddJobPostDto
    {
        /// <summary>
        /// 公司Id
        /// </summary>
        public int CompanyId { get; set; }
        /// <summary>
        /// 部门Id
        /// </summary>
        public int DepId { get; set; }
        /// <summary>
        /// 岗位名称
        /// </summary>
        public string JobName { get; set; }
        /// <summary>
        /// 创建者Id
        /// </summary>
        public int CreateUserId { get; set; }
       
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
       
    }
    /// <summary>
    /// 修改岗位dto
    /// </summary>
    public class EditJobPostDto
    {
        /// <summary>
        /// 岗位Id
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 公司Id
        /// </summary>
        public int CompanyId { get; set; }
        /// <summary>
        /// 部门Id
        /// </summary>
        public int DepId { get; set; }
        /// <summary>
        /// 岗位名称
        /// </summary>
        public string JobName { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }

    }

    public class DelJobPostDto
    {
        /// <summary>
        /// 职位Id
        /// </summary>
        public int Id { get; set; }
    }
}
