﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Groups
{
    /// <summary>
    /// 团组与客户关联表
    /// </summary>
    [SugarTable("Grp_DelegationJoinCustomer")]
    public class Grp_DelegationJoinCustomer:EntityBase
    {
        /// <summary>
        /// 团组表id
        /// </summary>
        [SugarColumn(IsNullable =true,ColumnDataType ="int")]
        public int GrpDCId { get; set; }
        /// <summary>
        ///客户表Id
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int CrmDCId { get; set; }
    }
}
