﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.ViewModels.TencentOCR
{
    /// <summary>
    /// 户口簿 返回View
    /// </summary>
    public class ResidenceBookletOCRView
    {
        /// <summary>
        /// 户籍地址
        /// </summary>
        public string Address { get; set; }
        /// <summary>
        /// 出生日期
        /// </summary>
        public string BirthDate { get; set; }
        /// <summary>
        /// 出生城市
        /// </summary>
        public string BirthPlace { get; set; }
        /// <summary>
        /// 血型
        /// </summary>
        public string BloodType { get; set; }
        /// <summary>
        /// 教育程度
        /// </summary>
        public string EducationDegree { get; set; }
        /// <summary>
        /// 曾用姓名
        /// </summary>
        public string FormerName { get; set; }
        /// <summary>
        /// 身高
        /// </summary>
        public string Height { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string HomePageNumber { get; set; }
        /// <summary>
        /// 与户主关系
        /// </summary>
        public string Household { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string HouseholdNumber { get; set; }
        /// <summary>
        /// 户主名称
        /// </summary>
        public string HouseholderName { get; set; }
        /// <summary>
        /// 身份证号
        /// </summary>
        public string IdCardNumber { get; set; }
        /// <summary>
        /// 签发日期
        /// </summary>
        public string IssueDate { get; set; }
        /// <summary>
        /// 婚姻状态
        /// </summary>
        public string MaritalStatus { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string MoveToCityInformation { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string MoveToSiteInformation { get; set; }
        /// <summary>
        /// 姓名
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 种族
        /// </summary>
        public string Nation { get; set; }
        /// <summary>
        /// 江苏省江阴市
        /// </summary>
        public string NativePlace { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string OtherAddresses { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string Profession { get; set; }
        /// <summary>
        /// 2010年07月13日
        /// </summary>
        public DateTime RegistrationDate { get; set; }
        /// <summary>
        /// 子
        /// </summary>
        public string Relationship { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string ReligiousBelief { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string RequestId { get; set; }
        /// <summary>
        /// 丰镇小学
        /// </summary>
        public string ServicePlace { get; set; }
        /// <summary>
        /// 男
        /// </summary>
        public string Sex { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string Signature { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string VeteranStatus { get; set; }
    }
}
