﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.System
{
    /// <summary>
    /// 消息可读员工
    /// </summary>
    public class Sys_MessageReadAuth:EntityBase
    {
        /// <summary>
        /// 消息Id
        /// </summary>
        [SugarColumn(IsNullable = true,ColumnDataType = "int")]
        public int MsgId { get; set; }

        /// <summary>
        /// 可读用户Id
        /// </summary>
        [SugarColumn(IsNullable = true,ColumnDataType = "int")]
        public int ReadableUId { get; set; }

        /// <summary>
        /// 是否已读
        /// 0 未读
        /// 1 已读
        /// </summary>
        [SugarColumn(IsNullable = true,ColumnDataType = "int")]
        public int IsRead { get; set; }

        /// <summary>
        /// 阅读时间
        /// </summary>
        [SugarColumn(IsNullable = true,ColumnDataType = "datetime")]
        public DateTime ReadTime { get; set; }
    }
}
